﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using DTG.Word;


namespace Paragraph_TabStops
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void Form1_Load(object sender, EventArgs e)
		{
			// Creates a new instance of Document class and reads a .doc file into this structure
			Document Doc = new Document();
			Doc.ReadDoc(@"..\..\Data\WordTabStops.doc");

			// Gets the array of custom tab-stops
			TabStopsType[] TabStops = ((Paragraph)Doc.Sections[0].Nodes[0]).Style.TabStops;

			// Writes custom tab-stops properties
			for (int i = 0; i < TabStops.Length; i++)
			{
				textBox1.Text += i+1 + " custom tab-stop position in twips	: "	+ TabStops[i].Position + "\r\n";
				textBox1.Text += i+1 + " alignment			: " + (Alignment)TabStops[i].Alignment + "\r\n";
				textBox1.Text += i+1 + " custom tab-stop position in twips	: " + (Leader)TabStops[i].Leader + "\r\n\r\n";
			}
		}
	}
}
