﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using DTG.Word;


namespace Section_Page_Settings
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void Form1_Load(object sender, EventArgs e)
		{
			// Creates a new instance of Document class and reads a .doc file into this structure
			Document Doc = new Document();
            Doc.ReadDoc(@"..\..\Data\WordPageSettings.doc");

			// Gets the page properties of the first section
			Page_Settings PageSets = Doc.Sections[0].PageSettings;

			// Writes the page properties
			textBox1.Text += "Page width (in twips)		: " + PageSets.PageWidth + "\r\n";
			textBox1.Text += "Page height (in twips)		: " + PageSets.PageHeight + "\r\n";
			textBox1.Text += "Page layout			: " + PageSets.PageLayout + "\r\n";
			textBox1.Text += "Page orientation			: " + PageSets.Orientation + "\r\n";
			textBox1.Text += "Page left margin (in twips)		: " + PageSets.LeftMargin + "\r\n";
			textBox1.Text += "Page right margin (in twips)		: " + PageSets.RightMargin + "\r\n";
			textBox1.Text += "Page top margin (in twips)		: " + PageSets.TopMargin + "\r\n";
			textBox1.Text += "Page bottom margin (in twips)		: " + PageSets.BottomMargin + "\r\n";
			textBox1.Text += "If pages have borders		: " + PageSets.Borders.HasBorders + "\r\n";
			textBox1.Text += "* Borders - what pages to apply	: " + PageSets.BordersStyle.ApplyTo + "\r\n";
			textBox1.Text += "* Borders - page depth		: " + PageSets.BordersStyle.PageDepth + "\r\n";
			textBox1.Text += "* Borders - offset from		: " + PageSets.BordersStyle.OffsetFrom + "\r\n";
			textBox1.Text += "If pages have borders		: " + PageSets.Borders.HasBorders + "\r\n";
			textBox1.Text += "If pages have borders		: " + PageSets.Borders.HasBorders + "\r\n";
			textBox1.Text += "Text justification			: " + PageSets.Justification + "\r\n";
			textBox1.Text += "Page numbers format		: " + PageSets.NumbersFormat + "\r\n";
			textBox1.Text += "If page numbers restart every section	: " + PageSets.NumberRestart + "\r\n";
		}
	}
}
