﻿Imports DTG.Word

Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Creates a new instance of Document class and reads a .doc file into this structure
        Dim Doc As New Document()
        Doc.ReadDoc("..\..\Data\WordParagraph.doc")

        ' Writes the type of node
        TextBox.Text += "Type of node" & vbTab & vbTab & vbTab & ": " + Doc.Sections(0).Nodes(0).Type.ToString & vbCr & vbLf

        ' If this node is a paragraph...
        If Doc.Sections(0).Nodes(0).Type = NodeType.Paragraph Then
            ' Gets the paragraph properties
            Dim tStyle As ParagraphStyle = DirectCast(Doc.Sections(0).Nodes(0), Paragraph).Style

            ' Writes them
            TextBox.Text += "Paragraph is in list" & vbTab & vbTab & vbTab & ": " + tStyle.List.isInList.ToString & vbCr & vbLf
            TextBox.Text += "Alignment" & vbTab & vbTab & vbTab & vbTab & ": " + tStyle.Alignment.ToString & vbCr & vbLf
            TextBox.Text += "Keep paragraph on single page" & vbTab & ": " + tStyle.KeepOnSinglePage.ToString & vbCr & vbLf
            TextBox.Text += "Next paragraph on the same page" & vbTab & ": " + tStyle.KeepFollowingParOnSamePage.ToString & vbCr & vbLf
            TextBox.Text += "Page break before paragraph" & vbTab & vbTab & ": " + tStyle.PageBreakBefore.ToString & vbCr & vbLf
            TextBox.Text += "Don't counting the lines" & vbTab & vbTab & ": " + tStyle.NoLineNumbers.ToString & vbCr & vbLf
            TextBox.Text += "Right indent in twips" & vbTab & vbTab & vbTab & ": " + tStyle.RightIndent.ToString & vbCr & vbLf
            TextBox.Text += "Left indent in twips" & vbTab & vbTab & vbTab & ": " + tStyle.LeftIndent.ToString & vbCr & vbLf
            TextBox.Text += "Indent of the first line of paragraph" & vbTab & ": " + tStyle.FirstLineIndent.ToString & vbCr & vbLf

            If tStyle.LineSpacing.Multiply = True Then
                Dim tmp = tStyle.LineSpacing.Spacing / 240
                TextBox.Text += "Line-spacing" & vbTab & vbTab & vbTab & ": " & tmp.ToString & "x " & vbCr & vbLf
            Else
                TextBox.Text += "Line-spacing" & vbTab & vbTab & vbTab & ": " + tStyle.LineSpacing.Spacing.ToString & "twips " & vbCr & vbLf
            End If

            TextBox.Text += "Spacing before paragraph in twips" & vbTab & ": " + tStyle.SpacingBefore.ToString & vbCr & vbLf
            TextBox.Text += "Spacing after paragraph in twips" & vbTab & ": " + tStyle.SpacingAfter.ToString & vbCr & vbLf
            TextBox.Text += "If this paragraph has custom tab stops" & vbTab & ": " + tStyle.HasCustomTabStops.ToString & vbCr & vbLf
            TextBox.Text += "If this paragraph has borders" & vbTab & vbTab & ": " + tStyle.Borders.HasBorders.ToString & vbCr & vbLf
            TextBox.Text += "Auto-hyphenation" & vbTab & vbTab & vbTab & ": " + tStyle.AutoHyphenation.ToString & vbCr & vbLf
            TextBox.Text += "If this paragraph has shading" & vbTab & vbTab & ": " + tStyle.Shading.HasShading.ToString & vbCr & vbLf
            TextBox.Text += "Outline level" & vbTab & vbTab & vbTab & ": " + tStyle.OutlineLevel.ToString & vbCr & vbLf
        End If

    End Sub
End Class
